package com.autentia.springhb.dao;

import java.util.List;

import com.autentia.springhb.entity.Worker;

public interface WorkerDao extends GenericDao {

	/**
	 * Recupera todos los trabajadores de todas las empresas
	 */
	public List<Worker> findAll();

	/**
	 * Recupera un trabajador buscandola por su id 
	 */
	public Worker findById(final Long id);
}
