package com.autentia.springhb.dao.impl.hbspring;

import java.util.List;

import com.autentia.springhb.dao.CompanyDao;
import com.autentia.springhb.entity.Company;

@SuppressWarnings("unchecked")
public class HbSpringCompanyDaoImpl extends AbstractHbSpringGenericDaoImpl implements CompanyDao {
	
	public List<Company> findAll() {
		System.out.println("usando el metodo 'findAll()' de la clase '" + this.getClass().getSimpleName() + " '");
		return getHibernateTemplate().find("from Company");
	}

	public Company findById(Long id) {
		System.out.println("usando el metodo 'findById()' de la clase '" + this.getClass().getSimpleName() + " '");
		return (Company) getHibernateTemplate().get(Company.class, id);
	}
}
