package com.autentia.springhb.dao.impl.hbspring;

import java.util.List;

import com.autentia.springhb.dao.WorkerDao;
import com.autentia.springhb.entity.Worker;

@SuppressWarnings("unchecked")
public class HbSpringWorkerDaoImpl extends AbstractHbSpringGenericDaoImpl implements WorkerDao {
	
	public List<Worker> findAll() {
		System.out.println("usando el metodo 'findAll()' de la clase '" + this.getClass().getSimpleName() + " '");
		return getHibernateTemplate().find("from Worker");
	}

	public Worker findById(Long id) {
		System.out.println("usando el metodo 'findById()' de la clase '" + this.getClass().getSimpleName() + " '");
		return (Worker) getHibernateTemplate().get(Worker.class, id);
	}

}
