package com.autentia.springhb.dao.impl.hbspring;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.autentia.springhb.dao.GenericDao;
import com.autentia.springhb.entity.AbstractEntity;

public class AbstractHbSpringGenericDaoImpl extends HibernateDaoSupport implements GenericDao {
	
	public void save(final AbstractEntity object) {	
		System.out.println("usando el metodo 'save()' de la clase '" + this.getClass().getSimpleName() + " '");
		getHibernateTemplate().saveOrUpdate(object);
	}

	public void delete(final AbstractEntity object) {		
		System.out.println("usando el metodo 'delete()' de la clase '" + this.getClass().getSimpleName() + " '");
		getHibernateTemplate().delete(object);
 	}
}
