
CREATE DATABASE autentiaSpringHb;
USE autentiaSpringHb;

CREATE TABLE COMPANY (
  id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  name VARCHAR(45) NOT NULL,
  description VARCHAR(255) NOT NULL,
  PRIMARY KEY(id)
) engine=innodb default charset=utf8 collate=utf8_spanish_ci;

CREATE TABLE WORKER (
  id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  COMPANY_id INTEGER UNSIGNED NOT NULL,
  name VARCHAR(255) NOT NULL,
  surname VARCHAR(255) NOT NULL,
  workerType VARCHAR(20) NOT NULL,
  PRIMARY KEY(id),
  CONSTRAINT fk_person_company FOREIGN KEY(COMPANY_id) REFERENCES COMPANY(id)
) engine=innodb default charset=utf8 collate=utf8_spanish_ci;

